import {
  assignDefaultLocaleOptions
} from "../chunk-P5AOP2SQ.js";
import "../chunk-MIL7QFH3.js";

// src/client/useLocaleData.ts
import { useSiteLocaleData } from "@vuepress/client";
import { watch } from "vue";
var useLocaleData = () => {
  const localeOptions = useSiteLocaleData();
  assignDefaultLocaleOptions(localeOptions);
  watch(localeOptions, () => {
    assignDefaultLocaleOptions(localeOptions);
  });
  return localeOptions;
};
export {
  useLocaleData
};
