import "../chunk-MIL7QFH3.js";

// src/client/clientAppEnhance.ts
import { defineClientAppEnhance } from "@vuepress/client";
import { h, defineAsyncComponent } from "vue";
import {
  addSearchPage,
  searchRoute
} from "@internal/vuepress2-plugin-full-text-search-add-page";
import CustomSearchBox from "./CustomSearchBox.vue";
var clientAppEnhance_default = defineClientAppEnhance(({ app }) => {
  const SearchPage = defineAsyncComponent(() => import("./SearchPage.vue"));
  app.component("SearchBox", h(CustomSearchBox, { addSearchPage, searchRoute }));
  app.component("SearchPage", SearchPage);
});
export {
  clientAppEnhance_default as default
};
